Bug 1307486 - espeak: FTBFS in rawhide
espeak: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: espeak (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:19 EST by Fedora Release Engineering
Modified: 2016-02-17 08:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 08:50:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (13.48 KB, text/plain)
2016-02-13 16:19 EST, Fedora Release Engineering
no flags Details
root.log (84.56 KB, text/plain)
2016-02-13 16:19 EST, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2016-02-13 16:19 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:19:47 EST
Your package espeak failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12814436

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:19:49 EST
Created attachment 1124522 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:19:51 EST
Created attachment 1124523 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:19:52 EST
Created attachment 1124524 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-16 12:06:47 EST
Narrowing conversion errors; I'm not sure these are canonical, but a possible fix is:

https://github.com/DevynCJohnson/espeak/commit/6d265313673d70bc06d7219d28bdc0fe1ec5ffc1
https://github.com/DevynCJohnson/espeak/commit/d9dcf0c6dd339bcb6d217d50cf32a6447f6c96fb

Note You need to log in before you can comment on or make changes to this bug.